<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
| Released under the terms & conditions of the
| GNU Affero GPL v3. 
+--------------------------------------------------------+
| FRENCH
| Panneau : Compteur de thmes
| Version : 1.3
| Fichier : ThemCounter.php
| Auteur  : kiko26 (http://phpfusion.playingtobetogether.fr/)
+--------------------------------------------------------+
| ENGLISH
| Panel : ThemCounter
| Version : 1.3
| Filename : ThemCounter.php
| Author : kiko26 (http://phpfusion.playingtobetogether.fr/)
+--------------------------------------------------------+
| This program is released as free software under the Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// recup du chemin d'acces aux themes
// recovery path to themes
$path= '../../themes/';
$i=0;
$fd = dir($path);

// boucle et comptage des rpertoires
// counting loop and directories
while($file = $fd->read()) {
	if(($file != "." ) && ($file != ".." )) {
		if(is_dir("$path/$file" )) {
			$i++;
		}
	}
}

//echo "$i rpertoires dans le dossier $path";
// la variable $i contient le nombre de rpertoires dans le rpertoire themes
// the variable $i contains the number of directories in the themes
// il faut oter 1  ce nombre car un rpertoire indispensable au bon fonctionnement de phpfusion s'y trouve galement, il s'appelle templates
// remove 1 to this number because of templates directory

$i = $i - 1;

// la fin doit ressembler  cela pour le fichier ThemCounter.swf
// the end must look at this for ThemCounter.swf file
// &monmessage=586&
// &couleurdetexte=FFCC00&
// &fin=termine&
// 586 tant le nombre de themes, nous le remplaons par la variable $i

echo "&monmessage=".$i."&";
echo "&couleurdetexte=FFCC00&";
echo "&fin=termine&";
?>